Loading...
Searching...
No Matches
calc.c File Reference

## Functions

PedSector _GL_ATTRIBUTE_PURE | fat_calc_align_sectors (const PedFileSystem *new_fs, const PedFileSystem *old_fs)
int | fat_calc_resize_sizes (const PedGeometry *geom, PedSector align, FatType fat_type, PedSector root_dir_sectors, PedSector cluster_sectors, PedSector *out_cluster_sectors, FatCluster *out_cluster_count, PedSector *out_fat_size)
int | fat_calc_sizes (PedSector size, PedSector align, FatType fat_type, PedSector root_dir_sectors, PedSector *out_cluster_sectors, FatCluster *out_cluster_count, PedSector *out_fat_size)
int | fat_check_resize_geometry (const PedFileSystem *fs, const PedGeometry *geom, PedSector new_cluster_sectors, FatCluster new_cluster_count)
FatFragment _GL_ATTRIBUTE_PURE | fat_cluster_to_frag (const PedFileSystem *fs, FatCluster cluster)
PedSector _GL_ATTRIBUTE_PURE | fat_cluster_to_sector (const PedFileSystem *fs, FatCluster cluster)
FatCluster _GL_ATTRIBUTE_PURE | fat_frag_to_cluster (const PedFileSystem *fs, FatFragment frag)
PedSector _GL_ATTRIBUTE_PURE | fat_frag_to_sector (const PedFileSystem *fs, FatFragment frag)
int _GL_ATTRIBUTE_PURE | fat_is_sector_in_clusters (const PedFileSystem *fs, PedSector sector)
FatCluster _GL_ATTRIBUTE_CONST | fat_max_cluster_count (FatType fat_type)
PedSector _GL_ATTRIBUTE_CONST | fat_max_cluster_size (FatType fat_type)
FatCluster _GL_ATTRIBUTE_CONST | fat_min_cluster_count (FatType fat_type)
PedSector _GL_ATTRIBUTE_CONST | fat_min_cluster_size (FatType fat_type)
PedSector _GL_ATTRIBUTE_CONST | fat_min_reserved_sector_count (FatType fat_type)
PedSector _GL_ATTRIBUTE_CONST | fat_recommend_min_cluster_size (FatType fat_type, PedSector size)
FatCluster _GL_ATTRIBUTE_PURE | fat_sector_to_cluster (const PedFileSystem *fs, PedSector sector)
FatFragment _GL_ATTRIBUTE_PURE | fat_sector_to_frag (const PedFileSystem *fs, PedSector sector)

## Function Documentation

## fat_calc_align_sectors()

PedSector _GL_ATTRIBUTE_PURE fat_calc_align_sectors | ( | const PedFileSystem * | new_fs,
|  | const PedFileSystem * | old_fs )

## fat_calc_resize_sizes()

int fat_calc_resize_sizes | ( | const PedGeometry * | geom,
|  | PedSector | align,
|  | FatType | fat_type,
|  | PedSector | root_dir_sectors,
|  | PedSector | cluster_sectors,
|  | PedSector * | out_cluster_sectors,
|  | FatCluster * | out_cluster_count,
|  | PedSector * | out_fat_size )

## fat_calc_sizes()

int fat_calc_sizes | ( | PedSector | size,
|  | PedSector | align,
|  | FatType | fat_type,
|  | PedSector | root_dir_sectors,
|  | PedSector * | out_cluster_sectors,
|  | FatCluster * | out_cluster_count,
|  | PedSector * | out_fat_size )

## fat_check_resize_geometry()

int fat_check_resize_geometry | ( | const PedFileSystem * | fs,
|  | const PedGeometry * | geom,
|  | PedSector | new_cluster_sectors,
|  | FatCluster | new_cluster_count )

## fat_cluster_to_frag()

FatFragment _GL_ATTRIBUTE_PURE fat_cluster_to_frag | ( | const PedFileSystem * | fs,
|  | FatCluster | cluster )

## fat_cluster_to_sector()

PedSector _GL_ATTRIBUTE_PURE fat_cluster_to_sector | ( | const PedFileSystem * | fs,
|  | FatCluster | cluster )

## fat_frag_to_cluster()

FatCluster _GL_ATTRIBUTE_PURE fat_frag_to_cluster | ( | const PedFileSystem * | fs,
|  | FatFragment | frag )

## fat_frag_to_sector()

PedSector _GL_ATTRIBUTE_PURE fat_frag_to_sector | ( | const PedFileSystem * | fs,
|  | FatFragment | frag )

## fat_is_sector_in_clusters()

int _GL_ATTRIBUTE_PURE fat_is_sector_in_clusters | ( | const PedFileSystem * | fs,
|  | PedSector | sector )

## fat_max_cluster_count()

FatCluster _GL_ATTRIBUTE_CONST fat_max_cluster_count | ( | FatType | fat_type | ) |

## fat_max_cluster_size()

PedSector _GL_ATTRIBUTE_CONST fat_max_cluster_size | ( | FatType | fat_type | ) |

## fat_min_cluster_count()

FatCluster _GL_ATTRIBUTE_CONST fat_min_cluster_count | ( | FatType | fat_type | ) |

## fat_min_cluster_size()

PedSector _GL_ATTRIBUTE_CONST fat_min_cluster_size | ( | FatType | fat_type | ) |

## fat_min_reserved_sector_count()

PedSector _GL_ATTRIBUTE_CONST fat_min_reserved_sector_count | ( | FatType | fat_type | ) |

## fat_recommend_min_cluster_size()

PedSector _GL_ATTRIBUTE_CONST fat_recommend_min_cluster_size | ( | FatType | fat_type,
|  | PedSector | size )

## fat_sector_to_cluster()

FatCluster _GL_ATTRIBUTE_PURE fat_sector_to_cluster | ( | const PedFileSystem * | fs,
|  | PedSector | sector )

## fat_sector_to_frag()

FatFragment _GL_ATTRIBUTE_PURE fat_sector_to_frag | ( | const PedFileSystem * | fs,
|  | PedSector | sector )